Get Cards

Returns all cards (both physical and virtual) issued by a business. Add a query param to search for cards by identifier. Currently just supports search by virtual card email address.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string

Filter by Card ID (uuid or external id)

cardIds
array of strings

Filter by Card IDs (uuid or external id). All provided values must be of the same type (either all UUIDs or all external IDs). Only exact matches are supported — partial matching is not allowed.

cardIds
string

Filter by the card's last 4

string

Filter by email for virtual cards

string

Filter by phone number for virtual cards

date

Optionally query for cards issued on or after (inclusive) a certain date in the RFC3339 format YYYY-MM-DDThh:mm:ssZ.

date

Optionally query for cards issued before a certain date (exclusive) in the RFC3339 format YYYY-MM-DDThh:mm:ssZ.

string
enum

Filter by card type. Note: 'physical' returns cards of type 'physical' and 'both'.
physical CardTypePhysical
virtual CardTypeVirtual
both CardTypeBoth

Allowed:
statuses
array of strings

Filter by card status

statuses
virtualCardActivationStatuses
array of strings

Deprecated: Use Status (for the card's current state) and ActivationMethod (for how it was activated) instead

virtualCardActivationStatuses
Allowed:
tagValues
array of strings

Filter by tag value(s) attached to cards

tagValues
metadataValues
array of strings

Filter by metadata value(s) attached to cards

metadataValues
verificationDataValues
array of strings

Filter by verification data value(s) stored on cards (e.g. cardholder email or DOB
they submitted at activation). Case-insensitive partial match against any verification
field's value; multiple values OR together — matches existing tagValues / metadataValues
semantics. Drives the dashboard's free-text search box across cards.

verificationDataValues
spendRuleIds
array of strings

Filter by spend rule(s) applied to cards

spendRuleIds
activationMethods
array of strings

Filter by activation method(s)

activationMethods
Allowed:
string

Filter for cards with expiration dates on or after (inclusive) the specified date, in RFC3339 format

string

Filter for cards with expiration dates before (exclusive) a certain date in the RFC3339 format

string

Filter for cards with last loaded dates on or after (inclusive) a certain date in the RFC3339 format

string

Filter for cards with last loaded dates before (exclusive) a certain date in the RFC3339 format

string

Filter for cards with last transaction dates on or after (inclusive) a certain date in the RFC3339 format

string

Filter for cards with last transaction dates before (exclusive) a certain date in the RFC3339 format

string
enum

Optionally sort results by last_load_desc, last_load_asc, or issued_at_asc , otherwise default is sorted by issue_date_desc
created_at_asc SortOptionCreatedAtAsc General
created_at_desc SortOptionCreatedAtDesc
last_load_desc SortOptionLastLoadDesc Card Sort Options
last_load_asc SortOptionLastLoadAsc
issued_at_desc SortOptionIssuedAtDesc
issued_at_asc SortOptionIssuedAtAsc
approx_balance_desc SortOptionApproxBalanceDesc
approx_balance_asc SortOptionApproxBalanceAsc
last_payment_sent_at_desc SortOptionLastPaymentSentAtDesc Recipient Sort Options
last_payment_sent_at_asc SortOptionLastPaymentSentAtAsc

businessIds
array of strings

Filter by one or more business IDs. Most useful on a super endpoint to scope the response to specific
child programs (i.e. a dashboard "show cards from programs A + B" filter). The controller intersects
any caller-provided values with the businesses the user has access to;

businessIds
string

Program ID is only required for superbusinesses.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
*/*